Subject: Re: bug#79367: 31.0.50; magit-commit sometimes doesn't work if diff-hl-update-async is t

From: Zhengyi Fu <[email-masked]>
Date: Fri, 05 Sep 2025 21:11:22 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Zhengyi Fu <[email-masked]>
>> Cc: Spencer Baugh <[email-masked]>,  [email-masked],
>>   [email-masked],  [email-masked]
>> Date: Fri, 05 Sep 2025 14:51:42 +0800
>> 
>> > I feel that we are splitting hair, so I went ahead and installed the
>> > last agreed-to version of the patch.
>> 
>> I got an assertion failure when testing the latest master.
>
> What is the recipe for reproducing this?

The same steps as I described in the original bug report.  It repeated
the steps a few times beforing triggering the assertion failure.